import * as React from 'react';
export interface Props {
    items: any[];
    itemProps?: any;
    renderItem(): void;
    renderItemData: object;
    sectionIndex?: number;
    highlightedItemIndex?: number;
    onHighlightedItemChange(highlightedItem: any): void;
    getItemId(sectionIndex: any, itemIndex: any): void;
    theme(): void;
    keyPrefix: string;
}
export interface State {
}
export default class ItemsList extends React.Component<Props, State> {
    static defaultProps: {
        sectionIndex: null;
    };
    shouldComponentUpdate(nextProps: any): boolean;
    storeHighlightedItemReference: (highlightedItem: any) => void;
    render(): JSX.Element;
}
